This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1018294 - Collection interval change for Message Count metrics on the fly does not work properly
Collection interval change for Message Count metrics on the fly does not work...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JON (Show other bugs)
5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: GA
: JON,One-off release
Assigned To: tcunning
Tomas Plevko
:
Depends On:
Blocks: 1108933 1112696 1112699
  Show dependency treegraph
 
Reported: 2013-10-11 11:54 EDT by tcunning
Modified: 2014-08-19 18:57 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-19 18:57:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1005160 None None None Never
JBoss Issue Tracker JBESB-3968 Major Closed Eliminate (avg) metrics, make message counts trendsup 2014-08-26 09:44:29 EDT

  None (edit)
Description tcunning 2013-10-11 11:54:14 EDT
Description of problem:
Collection interval change for "Message Count (avg) per Minute" on the fly will break monitoring of this metric and it's value will drop to 0 and it will stay 0 until the JBoss ON Agent is restarted.

The same behaviour is observed for "Message Count (avg)" - so it's value will drop to 0 and this will be resolved with JBoss ON Agent restart.

However, if I change the collection period for "Message Count", it will be properly collected but values for "Message Count (avg)"  and "Message Count (avg) per Minute" will drop to 0 and will stay 0 until the JBoss ON Agent is restarted.

Version-Release number of selected component (if applicable):
JBoss ON 3.1.2

How reproducible:
Always

Steps to Reproduce:
1. Install and set up a SOA-P instance.
2. Start the SOA-P instance.
3. Start JBoss ON Server and JBoss ON Agent
4. Add a new SOA-P instance to JBoss ON inventory - JBoss ON server/agent must have SOA-P 5 plug-in installed.
5. Make sure that the Principal/Credentials are set properly in the Connection Settings page for SOA-P instance
6. Execute $SOA-P_HOME/samples/quickstarts/helloworld sample.
7. Run "ant deploy"
8. Once the JBoss ESB deployment is done and discovered - navigate to SimpleListener Service: JBossAS Servers -> SOA-P instance -> JBoss ESB -> Deployments -> Quickstart_helloworld.esb -> Services -> SimpleListener Service -> Monitoring -> Schedules and set Message Count, Message Count (avg) and Message Count (avg) per Minute to 30 seconds;
9. Run "ant runtest"
10. Wait at least 30 seconds+.
11. Repeat the steps 9. and 10. several times.
12. From left navigation tree, expand and select SimpleListener Service (as above).
13. From right pain, select "Monitoring" tab -> "Tables" and see metrics.
14. From right pain, select "Monitoring" tab -> "Graphs" and see metrics.
15. Metrics are properly updated.
14. Navigate to Monitoring -> Schedules page for "Message Count (avg) per Minute" and change this value to something else (for instance 1 minute);

Actual results:
Value of the "Message Count (avg) per Minute" will drop to 0 and it will stay there.

Expected results:
Value of the "Message Count (avg) per Minute" is collected properly after collection period is changed.

Additional info:
As mentioned above - it seems that JBoss ON Agent restart can be used as a workaround.
Comment 1 JBoss JIRA Server 2014-05-13 13:15:19 EDT
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3968 to Closed
Comment 3 Jiri Sedlacek 2014-05-28 11:46:59 EDT
Rick, Tom, QE would like to test the fixed jar, but there is nothing attached here. Could you please attach the fixed jar?
Comment 9 Rick Wagner 2014-08-19 08:34:11 EDT
Marking this BZ 'ON_QA' so it can be marked validated.  The work seems done, I think the right status is past 'New'.

Thanks,

Rick
Comment 10 Tomas Plevko 2014-08-19 08:45:23 EDT
This issue was tested with BZ 1112696. 

Verified.
Comment 11 Larry O'Leary 2014-08-19 18:57:04 EDT
Verified and released in Fuse Service Works Plugin Pack Update-02 for JBoss ON 3.2 -- https://access.redhat.com/jbossnetwork/restricted/softwareDetail.html?softwareId=32533

Note You need to log in before you can comment on or make changes to this bug.